List mailboxes
curl --request GET \
--url https://api.amplemarket.com/mailboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amplemarket.com/mailboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amplemarket.com/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mailboxes": [
{
"id": "019f5b76-73e9-7bf9-9a54-27ea92a3882c",
"email": "mailbox@example.com",
"email_provider": "google",
"daily_email_limit": 50,
"status": "active",
"user": {
"id": "019f5b76-7321-734d-9e36-c7153d3be0e4",
"name": "Example User",
"email": "foo-33@email.com"
},
"created_at": "2026-07-13T12:31:57Z",
"updated_at": "2026-07-13T12:31:57Z"
}
],
"_links": {
"self": {
"href": "/mailboxes?page[size]=20"
}
}
}Mailboxes
List mailboxes
List mailboxes
GET
/
mailboxes
List mailboxes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size (max 20)
Page after
Page before
Filter by mailbox status
Available options:
active, inactive, needs_reconnection Filter by email provider
Available options:
google, outlook, other, other_mixed Filter by user email
Was this page helpful?
⌘I